<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: DccCommanderClass Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classDccCommanderClass.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classDccCommanderClass-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">DccCommanderClass Class Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="DccCommander_8hpp_source.html">DccCommander.hpp</a>&quot;</code></p>
<div class="dynheader">
Inheritance diagram for DccCommanderClass:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classDccCommanderClass.png" usemap="#DccCommanderClass_map" alt=""/>
  <map id="DccCommanderClass_map" name="DccCommanderClass_map">
<area href="classCommander.html" alt="Commander" shape="rect" coords="0,0,133,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac10ea64d33e686c877bdcb3024068e02"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDccCommanderClass.html#ac10ea64d33e686c877bdcb3024068e02">DccCommanderClass</a> ()</td></tr>
<tr class="separator:ac10ea64d33e686c877bdcb3024068e02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ec17894419857a33c2667e925da456e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDccCommanderClass.html#a6ec17894419857a33c2667e925da456e">begin</a> (int i, int j, int k, boolean inInterruptMonitor = false, boolean inUseRawDccAddresses = false)</td></tr>
<tr class="separator:a6ec17894419857a33c2667e925da456e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a688f192c9f26dfe824a86b6aa00152df"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDccCommanderClass.html#a688f192c9f26dfe824a86b6aa00152df">PriorityLoop</a> ()</td></tr>
<tr class="separator:a688f192c9f26dfe824a86b6aa00152df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c97ea34dfdf4c13de53a58937df5580"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDccCommanderClass.html#a0c97ea34dfdf4c13de53a58937df5580">loop</a> ()</td></tr>
<tr class="separator:a0c97ea34dfdf4c13de53a58937df5580"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97a3afabe3aca9b97728b3d8679ad66b"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDccCommanderClass.html#a97a3afabe3aca9b97728b3d8679ad66b">GetLastDccId</a> ()</td></tr>
<tr class="separator:a97a3afabe3aca9b97728b3d8679ad66b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9eb04a79497f70417cbb690e9dc3614c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDccCommanderClass.html#a9eb04a79497f70417cbb690e9dc3614c">printCommander</a> ()</td></tr>
<tr class="separator:a9eb04a79497f70417cbb690e9dc3614c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a676e59c4b5cc8c604221e0b6e32d8aca"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDccCommanderClass.html#a676e59c4b5cc8c604221e0b6e32d8aca">SetAccessoryDecoderPacketHandler</a> (DccAccDecoderPacket func)</td></tr>
<tr class="separator:a676e59c4b5cc8c604221e0b6e32d8aca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a513e3e0cabaad7cf7ebbfa4bd767c368"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDccCommanderClass.html#a513e3e0cabaad7cf7ebbfa4bd767c368">DccAccessoryDecoderPacket</a> (int address, boolean activate, uint8_t data)</td></tr>
<tr class="separator:a513e3e0cabaad7cf7ebbfa4bd767c368"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71585f785e9676ae03477557949ecd9a"><td class="memItemLeft" align="right" valign="top">static DccCommanderClass &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDccCommanderClass.html#a71585f785e9676ae03477557949ecd9a">GetCurrent</a> ()</td></tr>
<tr class="separator:a71585f785e9676ae03477557949ecd9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65088d66788156ea4a41027af1528298"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDccCommanderClass.html#a65088d66788156ea4a41027af1528298">printEvent</a> (unsigned long inId, <a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a> inEventType, int inEventData)</td></tr>
<tr class="separator:a65088d66788156ea4a41027af1528298"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This commanders receive accessory packets from DCC controller, and convert it in <a class="el" href="classCommanders.html">Commanders</a> events. The event id is a compressed version of dcc id and dcc accessory id.</p>
<p>Text from NMRA standard definition (<a href="https://www.nmra.org/sites/default/files/s-9.2.1_2012_07.pdf">https://www.nmra.org/sites/default/files/s-9.2.1_2012_07.pdf</a> , paragraph 420):</p>
<blockquote class="doxtable">
<p>The format for packets intended for Accessory Digital Decoders is: </p><pre class="fragment">        {preamble} 0 10AAAAAA 0 1AAACDDD 0 EEEEEEEE 1
</pre><p> Accessory Digital Decoders can be designed to control momentary or constant-on devices, the duration of time each output is active being controlled by configuration variables CVs #515 through 518. Bit 3 of the second byte "C" is used to activate or deactivate the addressed device. (Note if the duration the device is intended to be on is less than or equal the set duration, no deactivation is necessary.) Since most devices are paired, the convention is that bit "0" of the second byte is used to distinguish between which of a pair of outputs the accessory decoder is activating or 430 deactivating. Bits 1 and 2 of byte two are used to indicate which of 4 pairs of outputs the packet is controlling. The most significant bits of the 9-bit address are bits 4-6 of the second data byte. By convention these bits (bits 4-6 of the second data byte) are in ones complement.</p>
</blockquote>
<p>When an accessory is activated through my MS2, these packets are sent: </p><pre class="fragment">id / data / 1
id / data / 1
id / data / 1
id / data / 0
</pre><p>In the <a class="el" href="classCommanders.html">Commanders</a> interpretation of a DCC packet, id is given by 'A' bits, data from the 'D' bits, and the activate flag by the 'C' bit. The id is not the number you can see on a MS2, and on most DCC controllers. There is a small computation between id and data to obtain the real MS2 accessory number : real_id (1 to 320) and real_data (0 or 1 for right or left). It works on all known controllers, except on Multimaus...</p>
<p>The translated id and the activation flag are then translated into an unsigned long to be used as a <a class="el" href="classCommanders.html">Commanders</a> id. The formula is </p><pre class="fragment">real_data * 10000 + real_id   .
</pre><p> DCCINT is the macro used to build the unsigned long, DCCID the one to use to get the real id number from this long int, and DCCACTIVATION the other to get the real_data.</p>
<p>This flag is to activate for a while (three times at 1 !) and then desactivate the motor ! DccCommander will react only on the desactivate flag to avoid double events.</p>
<p>Events thrown:</p>
<table class="doxtable">
<tr>
<th>reason </th><th>id </th><th>type </th><th>data  </th></tr>
<tr>
<td>data = 0 </td><td>accessory id </td><td><a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba">COMMANDERS_EVENT_MOVE</a> </td><td><a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa93b501afc3ae6c0a02d25b8bd1473930">COMMANDERS_MOVE_RIGHT</a> </td></tr>
<tr>
<td>data = 1 </td><td>accessory id </td><td><a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490caebdb45ee96bd05e90e9e633c114e9cba">COMMANDERS_EVENT_MOVE</a> </td><td><a class="el" href="Events_8h.html#a347ec2e7ad5bc98b641a887ce34cc2baa196b887b79ca8df5b10e94318d32df7e">COMMANDERS_MOVE_LEFT</a> </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="DccCommander_8hpp_source.html#l00073">73</a> of file <a class="el" href="DccCommander_8hpp_source.html">DccCommander.hpp</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ac10ea64d33e686c877bdcb3024068e02"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">DccCommanderClass::DccCommanderClass </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Default constructor. </p>

<p class="definition">Definition at line <a class="el" href="DccCommander_8hpp_source.html#l00083">83</a> of file <a class="el" href="DccCommander_8hpp_source.html">DccCommander.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a6ec17894419857a33c2667e925da456e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DccCommanderClass::begin </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>i</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>j</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>k</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">boolean&#160;</td>
          <td class="paramname"><em>inInterruptMonitor</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">boolean&#160;</td>
          <td class="paramname"><em>inUseRawDccAddresses</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize the instance. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">i</td><td>Manufacturer ID of this decoder. Can be 0 in common case... </td></tr>
    <tr><td class="paramname">j</td><td>Manufacturer version number for this decoder. Can be 0 in common case... </td></tr>
    <tr><td class="paramname">k</td><td>Interrupt number used by DCC_Decoder. The interrupt is raised when a signal is detected on the associated pin. </td></tr>
    <tr><td class="paramname">inInterruptMonitor</td><td>If true, ths Commnaders status led will blink when DccCommander receive a new accessory packet. Default is false. </td></tr>
    <tr><td class="paramname">inUseRawDccAddresses</td><td>Dcc id and accessory id are converted into a more readable way to be used, but if this flag is true, the original values can be preserved instead of these converted value. Default is false. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="DccCommander_8cpp_source.html#l00097">97</a> of file <a class="el" href="DccCommander_8cpp_source.html">DccCommander.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a513e3e0cabaad7cf7ebbfa4bd767c368"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DccCommanderClass::DccAccessoryDecoderPacket </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>address</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">boolean&#160;</td>
          <td class="paramname"><em>activate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Decode the packet data, and raise a <a class="el" href="classCommander.html">Commander</a> event. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">address</td><td>raw address of the decoder, directly got from the DCC packet. </td></tr>
    <tr><td class="paramname">activate</td><td>flag from the DCC packet. True means activate the accessory motor. </td></tr>
    <tr><td class="paramname">data</td><td>additionnal data, adding bits to decoder accessory, and including the number of the accessory. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="DccCommander_8cpp_source.html#l00023">23</a> of file <a class="el" href="DccCommander_8cpp_source.html">DccCommander.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a71585f785e9676ae03477557949ecd9a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static DccCommanderClass&amp; DccCommanderClass::GetCurrent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Get the current instance of DccCommanderClass </p><dl class="section remark"><dt>Remarks</dt><dd>This is an internal function. </dd></dl>

<p class="definition">Definition at line <a class="el" href="DccCommander_8hpp_source.html#l00115">115</a> of file <a class="el" href="DccCommander_8hpp_source.html">DccCommander.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a97a3afabe3aca9b97728b3d8679ad66b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long DccCommanderClass::GetLastDccId </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the last DCC id received. </p>

<p class="definition">Definition at line <a class="el" href="DccCommander_8hpp_source.html#l00109">109</a> of file <a class="el" href="DccCommander_8hpp_source.html">DccCommander.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a0c97ea34dfdf4c13de53a58937df5580"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long DccCommanderClass::loop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Main loop function. </p>

<p>Reimplemented from <a class="el" href="classCommander.html#ad071adf2b8c272269394c2c66bf46f00">Commander</a>.</p>

<p class="definition">Definition at line <a class="el" href="DccCommander_8cpp_source.html#l00134">134</a> of file <a class="el" href="DccCommander_8cpp_source.html">DccCommander.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a9eb04a79497f70417cbb690e9dc3614c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DccCommanderClass::printCommander </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Print this commander on the console. </p><dl class="section remark"><dt>Remarks</dt><dd>Only available if <a class="el" href="Commanders_8h.html#a903f43d89a21cb3955b4fac654f6f8e8">COMMANDERS_PRINT_COMMANDERS</a> is defined. </dd></dl>

<p class="definition">Definition at line <a class="el" href="DccCommander_8cpp_source.html#l00230">230</a> of file <a class="el" href="DccCommander_8cpp_source.html">DccCommander.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a65088d66788156ea4a41027af1528298"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DccCommanderClass::printEvent </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="Events_8h.html#a36239a7eea6194f04e73e80d7419490c">COMMANDERS_EVENT_TYPE</a>&#160;</td>
          <td class="paramname"><em>inEventType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inEventData</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Print thhe given event on the console. </p><dl class="section remark"><dt>Remarks</dt><dd>Only available if <a class="el" href="Commanders_8h.html#a1fdf52a0fdf8778a4472686eaa278b15">COMMANDERS_DEBUG_MODE</a> is defined. </dd></dl>

<p class="definition">Definition at line <a class="el" href="DccCommander_8cpp_source.html#l00179">179</a> of file <a class="el" href="DccCommander_8cpp_source.html">DccCommander.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a688f192c9f26dfe824a86b6aa00152df"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DccCommanderClass::PriorityLoop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Priority loop function. Just a new call to the loop function. By this way, the DCC commander loop is sure to be called two or more times when other commanders are only called once ! </p>

<p>Reimplemented from <a class="el" href="classCommander.html#ade3914b5c62cd08a4e97050bc5314734">Commander</a>.</p>

<p class="definition">Definition at line <a class="el" href="DccCommander_8cpp_source.html#l00118">118</a> of file <a class="el" href="DccCommander_8cpp_source.html">DccCommander.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a676e59c4b5cc8c604221e0b6e32d8aca"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DccCommanderClass::SetAccessoryDecoderPacketHandler </td>
          <td>(</td>
          <td class="paramtype">DccAccDecoderPacket&#160;</td>
          <td class="paramname"><em>func</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Set the callback function whih will be called when an accessory packet will be decoded. Set it to NULL or 0 to inactivate this function. </p>

<p class="definition">Definition at line <a class="el" href="DccCommander_8cpp_source.html#l00173">173</a> of file <a class="el" href="DccCommander_8cpp_source.html">DccCommander.cpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/<a class="el" href="DccCommander_8hpp_source.html">DccCommander.hpp</a></li>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/<a class="el" href="DccCommander_8cpp_source.html">DccCommander.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classDccCommanderClass.html">DccCommanderClass</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
